Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.reflect
Class NoSuchClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.portal.common.reflect.NoSuchClassException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchClassException

extends java.lang.Exception

A generic exception that can be reused when an API expose a class loading service. The goal is to wrap any kind of throwable that would signal a class loading failure such as `NoClassDefFoundError` or `ClassNotFoundException` and make the client of the API deal with only one kind of exception.

Version:
  $Revision: 630 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`NoSuchClassException(java.lang.String className)`
`NoSuchClassException(java.lang.String className, java.lang.String message)`
`NoSuchClassException(java.lang.String className, java.lang.String message, java.lang.Throwable cause)`
`NoSuchClassException(java.lang.String className, java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getClassName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchClassException

    public NoSuchClassException(java.lang.String className)

### NoSuchClassException

    public NoSuchClassException(java.lang.String className,
                                java.lang.String message)

### NoSuchClassException

    public NoSuchClassException(java.lang.String className,
                                java.lang.String message,
                                java.lang.Throwable cause)

### NoSuchClassException

    public NoSuchClassException(java.lang.String className,
                                java.lang.Throwable cause)

Method Detail

### getClassName

    public java.lang.String getClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.